// Code generated by mockery v2.38.0. DO NOT EDIT.

package custom

import mock "github.com/stretchr/testify/mock"

// mockWriter is an autogenerated mock type for the writer type
type mockWriter struct {
	mock.Mock
}

// Write provides a mock function with given fields: p
func (_m *mockWriter) Write(p []byte) (int, error) {
	ret := _m.Called(p)

	if len(ret) == 0 {
		panic("no return value specified for Write")
	}

	var r0 int
	var r1 error
	if rf, ok := ret.Get(0).(func([]byte) (int, error)); ok {
		return rf(p)
	}
	if rf, ok := ret.Get(0).(func([]byte) int); ok {
		r0 = rf(p)
	} else {
		r0 = ret.Get(0).(int)
	}

	if rf, ok := ret.Get(1).(func([]byte) error); ok {
		r1 = rf(p)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// newMockWriter creates a new instance of mockWriter. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
// The first argument is typically a *testing.T value.
func newMockWriter(t interface {
	mock.TestingT
	Cleanup(func())
}) *mockWriter {
	mock := &mockWriter{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
